Skip to main content
GET
Get a transaction by ID

Authorizations

x-api-key
string
header
required

API key for authentication. You can find your API key in the Creem dashboard under Settings > API Keys.

Query Parameters

transaction_id
string
required

The unique identifier of the transaction.

Example:

"txn_1234567890"

Response

Successfully retrieved transaction

id
string
required

Unique identifier for the object.

mode
enum<string>
required

String representing the environment.

Available options:
test,
prod,
sandbox
object
string
required

String representing the object's type. Objects of the same type share the same value.

Example:

"transaction"

amount
number
required

The transaction amount in cents. 1000 = $10.00

Example:

2000

currency
string
required

Three-letter ISO currency code, in uppercase. Must be a supported currency.

Example:

"USD"

type
enum<string>
required

The type of transaction. payment(one time payments) and invoice(subscription)

Available options:
payment,
invoice
status
enum<string>
required

Status of the transaction.

Available options:
pending,
paid,
refunded,
partialRefund,
chargedBack,
uncollectible,
declined,
canceled,
void
created_at
number
required

Creation date of the order as timestamp

amount_paid
number | null

The amount the customer paid in cents. 1000 = $10.00

Example:

2000

discount_amount
number | null

The discount amount in cents. 1000 = $10.00

Example:

2000

tax_country
string | null

The ISO alpha-2 country code where tax is collected.

Pattern: ^[A-Z]{2}$
Example:

"US"

tax_amount
number | null

The sale tax amount in cents. 1000 = $10.00

Example:

2000

refunded_amount
number | null

The amount that has been refunded in cents. 1000 = $10.00

Example:

2000

order
string | null

The order associated with the transaction.

subscription
string | null

The subscription associated with the transaction.

customer
string | null

The customer associated with the transaction.

description
string

The description of the transaction.

period_start
number

Start period for the invoice as timestamp

period_end
number

End period for the invoice as timestamp